Name:          ocaml-cppo
Version:       1.6.9
Release:       3mamba
Summary:       C-style preprocessor for OCaml
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ocaml-community/cppo
Source:        https://github.com/ocaml-community/cppo.git/v%{version}/cppo-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml
BuildRequires: ocaml-runtime
BuildRequires: ocamlbuild
## AUTOBUILDREQ-END
BuildRequires: ocamlbuild >= 0.14.2-2mamba
BuildRequires: ocaml >= 4.14.1
BuildRequires: dune

%description
C-style preprocessor for OCaml.

%debug_package

%prep
%setup -q -n cppo-%{version}

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "%{_prefix}" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/cppo
%dir %{_libdir}/ocaml/cppo
%{_libdir}/ocaml/cppo/*
%dir %{_libdir}/ocaml/cppo_ocamlbuild
%{_libdir}/ocaml/cppo_ocamlbuild/*
%doc README.md

%changelog
* Sun Jul 16 2023 Sdk Build System <sdk@mambasoft.it> 1.6.9-3mamba
- rebuilt with ocamlbuild 0.14.2

* Thu Jul 06 2023 Sdk Build System <sdk@mambasoft.it> 1.6.9-2mamba
- rebuilt with ocaml 4.14.1

* Tue May 31 2022 Automatic Build System <autodist@mambasoft.it> 1.6.9-1mamba
- automatic version update by autodist

* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.8-2mamba
- rebuilt with ocamlbuild 0.14.1

* Sat Oct 02 2021 Automatic Build System <autodist@mambasoft.it> 1.6.8-1mamba
- automatic version update by autodist

* Sat Jan 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.7-1mamba
- package created using the webbuild interface
